
load('../../Fibrosis_Gene.RData')

dim(mat)
apply(mat,2,table)

load('../STRING_v11.0_hsa_KEGG_GO_enrich.RData')
dim(enrichment.score)

enrichment.score[1:3,1:3]

dat<- enrichment.score[rownames(enrichment.score) %in% rownames(mat),]
dim(dat)
dat[1:3,1:3]

min(dat)
max(dat)

name<- colnames(dat)

colnames(dat)<- gsub(':','',sapply(colnames(dat),function(x){ strsplit(x,'_')[[1]][1] }))

id<- colnames(dat)

cbind(id,name)[1:3,]

id2name<- name
names(id2name)<- id

for(i in 1:ncol(mat)){

tab<- read.csv(paste0('topRanking/Data_',i,'_topRanking.csv'),header=T,stringsAsFactors=F)

ids<- tab[,'attribute']

tab[,'attribute']<- id2name[ids]

gene2mean<- factor(mat[rownames(dat),i])

tab<- cbind(tab,t(apply(dat[,ids],2,function(x){ tapply(x,gene2mean,mean) })))

write.table(tab,file=paste0('topRanking_Anno/',i,'_',colnames(mat)[i],'_topRanking.csv'),col.names=NA,quote=T,sep=',')
}


